System.Web 2.0.0.0 System.Web.UI.WebControls.Parameter System.ComponentModel.DefaultProperty("SessionField")

A SessionParameter object is typically used in order to include the value of an variable in the Where clause of a database query. The property identifies the session variable from which the retrieves a value.

Controls that bind data to a parameter by using a object might throw an exception if the specified session variable is not set. To avoid this error (where appropriate), set the property.

Binds the value of a session variable to a parameter object.

- Constructor

  A object created with the constructor is initialized with default values for all its properties. The property is initialized to . Additionally, the property is initialized to , the property is initialized to , the property is initialized to , and the property is initialized to null.

  Initializes a new unnamed instance of the class.

  2.0.0.0
- Constructor

  The constructor is a Protected copy constructor used to clone a instance. The values of the object, including the , , and properties, are all transferred to the new instance.

  Initializes a new instance of the class with the values of the instance specified by the parameter.

  A from which the current instance is initialized.
  2.0.0.0
- Constructor

  The and properties are initialized with default values.

  Initializes a new named instance of the class, using the specified string to identify which session state name/value pair to bind to.

  The name of the parameter.
  The name of the name/value pair that the parameter object is bound to. The default is .
  2.0.0.0
- Constructor

  The and properties are initialized with default values.

  Initializes a new named and strongly typed instance of the class, using the specified string to identify which session state name/value pair to bind to.

  The name of the parameter.
  The type that the parameter represents. The default is .
  The name of the name/value pair that the parameter object is bound to. The default is .
  2.0.0.0
- Method
  System.Web.UI.WebControls.Parameter

  The method calls the copy constructor to initialize a new instance of the class with the values of the current instance.

  Returns a duplicate of the current instance.

  A that is an exact duplicate of the current one.

  2.0.0.0
- Method
  System.Object `` `` To be added.

  The object attempts to bind to the value of the session variable every time the method is called.

  The parameter is used by the method to retrieve the name/value pair that the object binds to. The parameter is ignored.

  Updates and returns the value of the object.

  An object that represents the updated and current value of the parameter. If the context or the request is null, the method returns null.

  A that is associated with the Web Forms page where the is used. 2.0.0.0
- Property
  System.ComponentModel.DefaultValue("")
  System.String To be added.

  The property identifies a name/value pair that is stored in the current session object associated with the Web browser. While the property identifies the name of the pair, the binds to its corresponding value at run time. If the expected session string name/value pair is not found in the session, the method binds the parameter to the value of the property, if it is set. If the property is not set, the method fails to bind the parameter to a value.

  Gets or sets the name of the session variable that the parameter binds to.

  2.0.0.0